PickRectanglePointsBuilder Class

class NXOpen.LineDesigner.PickRectanglePointsBuilder

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

Pick Rectangle Points

To create a new instance of this class, use NXOpen.LineDesigner.LineDesignerManager.CreatePickRectanglePointsBuilder()

New in version NX9.0.0.

Properties

Property Description
AllowRotation Returns or sets the check for rotaion
PointsSelection Returns the points of selection are return
Tag Returns the Tag for this object.

Methods

Method Description
ResetData To reset rectangle data
ResetWidthHeight To reset rectangle width and height
SetWidthHeight To set rectangle width and height
UpdateRecAngle To update rectangle angle
UpdateRecHeight To update rectangle height
UpdateRecWidth To update rectangle width
UpdateRectangle To update rectangle points
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AllowRotation

PickRectanglePointsBuilder.AllowRotation

Returns or sets the check for rotaion

-------------------------------------

Getter Method

Signature AllowRotation

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

-------------------------------------

Setter Method

Signature AllowRotation

Parameters:rotaion (bool) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

PointsSelection

PickRectanglePointsBuilder.PointsSelection

Returns the points of selection are return

-------------------------------------

Getter Method

Signature PointsSelection

Returns:
Return type:NXOpen.SelectPartList

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

Method Detail

ResetData

PickRectanglePointsBuilder.ResetData

To reset rectangle data

Signature ResetData()

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

ResetWidthHeight

PickRectanglePointsBuilder.ResetWidthHeight

To reset rectangle width and height

Signature ResetWidthHeight()

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

SetWidthHeight

PickRectanglePointsBuilder.SetWidthHeight

To set rectangle width and height

Signature SetWidthHeight(width, height)

Parameters:
  • width (float) –
  • height (float) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

UpdateRecAngle

PickRectanglePointsBuilder.UpdateRecAngle

To update rectangle angle

Signature UpdateRecAngle(angle)

Parameters:angle (float) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

UpdateRecHeight

PickRectanglePointsBuilder.UpdateRecHeight

To update rectangle height

Signature UpdateRecHeight(height)

Parameters:height (float) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

UpdateRecWidth

PickRectanglePointsBuilder.UpdateRecWidth

To update rectangle width

Signature UpdateRecWidth(width)

Parameters:width (float) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

UpdateRectangle

PickRectanglePointsBuilder.UpdateRectangle

To update rectangle points

Signature UpdateRectangle()

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

Validate

PickRectanglePointsBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.